import request from '@/utils/request'

// 查询油站信息列表
export function listInfo(query) {
  return request({
    url: '/station/info/list',
    method: 'get',
    params: query
  })
}

// 查询油站信息详细
export function getInfo(stationId) {
  return request({
    url: '/station/info/' + stationId,
    method: 'get'
  })
}

// 新增油站信息
export function addInfo(data) {
  return request({
    url: '/station/info',
    method: 'post',
    data: data
  })
}

// 修改油站信息
export function updateInfo(data) {
  return request({
    url: '/station/info',
    method: 'put',
    data: data
  })
}

// 删除油站信息
export function delInfo(stationId) {
  return request({
    url: '/station/info/' + stationId,
    method: 'delete'
  })
}

// 导出油站信息
export function exportInfo(query) {
  return request({
    url: '/station/info/export',
    method: 'get',
    params: query
  })
}
//查询油站信息
export function selectStationInfo() {
  return request({
    url: '/station/info/selectStationInfo',
    method: 'get'
  })
}


